package com.example.a8_bitinvader;

import android.util.DisplayMetrics;

public class Sprite {

    // public properties
    // x and y denote top left position
    // int image denotes which image used for sprite
    int x;
    int y;
    int image;
    int screenW;
    int screenH;

    DisplayMetrics displayMetrics = new DisplayMetrics();



    //private properties
    private final int height = displayMetrics.heightPixels/100;
    private final int width = displayMetrics.widthPixels/100;

    //private properties

    //constructors
    public Sprite(int xp, int yp, int img)
    {
        x = xp;
        y = yp;
        image = img;
    }

    //Getter Methods
    public int getLength()
    {
        return height;
    }
    public int getWidth()
    {
        return width;
    }

    //Checks if point is inside
    public boolean touching(int xx, int yy)
    {
        //implement
        if((xx < (x+width) && xx > x) && (yy < (y+height) && yy > y))
        {
            return true;
        }
        return false;
    }
}
